#! /bin/sh
# Copyright (c) 1999 SuSE Gmbh Nuernberg, Germany.  All rights reserved.
#
# Author: Carsten Hoeger <choeger@suse.de>, 1999

#
# Variables in /etc/sysconfig/java used by this script are: 
#   JAVA_THREADS_TYPE


#
# check if we are started as root
# only one of UID and USER must be set correctly
#
if test "$UID" != 0 -a "$USER" != root; then
    echo "You must be root to start $0."
    exit 1
fi

r=$ROOT
TMPFILE=`/bin/mktemp $r/tmp/.SuSEconfig.java.XXXXXX` || exit 1;

test -f $r/etc/sysconfig/java || { echo "No /etc/sysconfig/java found." && exit 1 ; }
. $r/etc/sysconfig/java

test -f $r/usr/lib/SunJava1/bin/.java_wrapper || { echo \
 "Unable to find /usr/lib/SunJava1/bin/.java_wrapper" && exit 1; }

cat $r/usr/lib/SunJava1/bin/.java_wrapper | \
   sed s/DEFAULT_THREADS_FLAG=.*/DEFAULT_THREADS_FLAG=${JAVA_THREADS_TYPE}/ \
   > $TMPFILE
cp -f $TMPFILE $r/usr/lib/SunJava1/bin/.java_wrapper
rm -f $TMPFILE

chmod 555 $r/usr/lib/SunJava1/bin/.java_wrapper

exit 0
